com.amazonaws.services.elastictranscoder.model

## Class Job

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.Job

All Implemented Interfaces:
  Serializable, Cloneable

    public class Job
    extends Object
    implements Serializable, Cloneable

A section of the response body that provides information about the job that is created.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Job()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Job` `addUserMetadataEntry(String key, String value)`
`Job` `clearUserMetadataEntries()` Removes all the entries added into UserMetadata.
`Job` `clone()`
`boolean` `equals(Object obj)`
`String` `getArn()` The Amazon Resource Name (ARN) for the job.
`String` `getId()` The identifier that Elastic Transcoder assigned to the job.
`JobInput` `getInput()` A section of the request or response body that provides information about the file that is being transcoded.
`List<JobInput>` `getInputs()` Information about the files that you're transcoding.
`JobOutput` `getOutput()` If you specified one output for a job, information about that output.
`String` `getOutputKeyPrefix()` The value, if any, that you want Elastic Transcoder to prepend to the names of all files that this job creates, including output files, thumbnails, and playlists.
`List<JobOutput>` `getOutputs()` Information about the output files.
`String` `getPipelineId()` The `Id` of the pipeline that you want Elastic Transcoder to use for transcoding.
`List<Playlist>` `getPlaylists()` <important>
`String` `getStatus()` The status of the job: `Submitted`, `Progressing`, `Complete`, `Canceled`, or `Error`.
`Timing` `getTiming()` Details about the timing of a job.
`Map<String,String>` `getUserMetadata()` User-defined metadata that you want to associate with an Elastic Transcoder job.
`int` `hashCode()`
`void` `setArn(String arn)` The Amazon Resource Name (ARN) for the job.
`void` `setId(String id)` The identifier that Elastic Transcoder assigned to the job.
`void` `setInput(JobInput input)` A section of the request or response body that provides information about the file that is being transcoded.
`void` `setInputs(Collection<JobInput> inputs)` Information about the files that you're transcoding.
`void` `setOutput(JobOutput output)` If you specified one output for a job, information about that output.
`void` `setOutputKeyPrefix(String outputKeyPrefix)` The value, if any, that you want Elastic Transcoder to prepend to the names of all files that this job creates, including output files, thumbnails, and playlists.
`void` `setOutputs(Collection<JobOutput> outputs)` Information about the output files.
`void` `setPipelineId(String pipelineId)` The `Id` of the pipeline that you want Elastic Transcoder to use for transcoding.
`void` `setPlaylists(Collection<Playlist> playlists)` <important>
`void` `setStatus(String status)` The status of the job: `Submitted`, `Progressing`, `Complete`, `Canceled`, or `Error`.
`void` `setTiming(Timing timing)` Details about the timing of a job.
`void` `setUserMetadata(Map<String,String> userMetadata)` User-defined metadata that you want to associate with an Elastic Transcoder job.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Job` `withArn(String arn)` The Amazon Resource Name (ARN) for the job.
`Job` `withId(String id)` The identifier that Elastic Transcoder assigned to the job.
`Job` `withInput(JobInput input)` A section of the request or response body that provides information about the file that is being transcoded.
`Job` `withInputs(Collection<JobInput> inputs)` Information about the files that you're transcoding.
`Job` `withInputs(JobInput... inputs)` Information about the files that you're transcoding.
`Job` `withOutput(JobOutput output)` If you specified one output for a job, information about that output.
`Job` `withOutputKeyPrefix(String outputKeyPrefix)` The value, if any, that you want Elastic Transcoder to prepend to the names of all files that this job creates, including output files, thumbnails, and playlists.
`Job` `withOutputs(Collection<JobOutput> outputs)` Information about the output files.
`Job` `withOutputs(JobOutput... outputs)` Information about the output files.
`Job` `withPipelineId(String pipelineId)` The `Id` of the pipeline that you want Elastic Transcoder to use for transcoding.
`Job` `withPlaylists(Collection<Playlist> playlists)` <important>
`Job` `withPlaylists(Playlist... playlists)` <important>
`Job` `withStatus(String status)` The status of the job: `Submitted`, `Progressing`, `Complete`, `Canceled`, or `Error`.
`Job` `withTiming(Timing timing)` Details about the timing of a job.
`Job` `withUserMetadata(Map<String,String> userMetadata)` User-defined metadata that you want to associate with an Elastic Transcoder job.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Job

    public Job()

### Method Detail

#### setId

    public void setId(String id)

The identifier that Elastic Transcoder assigned to the job. You use this value to get settings for the job or to delete the job.

Parameters:
  `id` - The identifier that Elastic Transcoder assigned to the job. You use this value to get settings for the job or to delete the job.

#### getId

    public String getId()

The identifier that Elastic Transcoder assigned to the job. You use this value to get settings for the job or to delete the job.

Returns:
  The identifier that Elastic Transcoder assigned to the job. You use this value to get settings for the job or to delete the job.

#### withId

    public Job withId(String id)

The identifier that Elastic Transcoder assigned to the job. You use this value to get settings for the job or to delete the job.

Parameters:
  `id` - The identifier that Elastic Transcoder assigned to the job. You use this value to get settings for the job or to delete the job.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setArn

    public void setArn(String arn)

The Amazon Resource Name (ARN) for the job.

Parameters:
  `arn` - The Amazon Resource Name (ARN) for the job.

#### getArn

    public String getArn()

The Amazon Resource Name (ARN) for the job.

Returns:
  The Amazon Resource Name (ARN) for the job.

#### withArn

    public Job withArn(String arn)

The Amazon Resource Name (ARN) for the job.

Parameters:
  `arn` - The Amazon Resource Name (ARN) for the job.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setPipelineId

    public void setPipelineId(String pipelineId)

The `Id` of the pipeline that you want Elastic Transcoder to use for transcoding. The pipeline determines several settings, including the Amazon S3 bucket from which Elastic Transcoder gets the files to transcode and the bucket into which Elastic Transcoder puts the transcoded files.

Parameters:
  `pipelineId` - The `Id` of the pipeline that you want Elastic Transcoder to use for transcoding. The pipeline determines several settings, including the Amazon S3 bucket from which Elastic Transcoder gets the files to transcode and the bucket into which Elastic Transcoder puts the transcoded files.

#### getPipelineId

    public String getPipelineId()

The `Id` of the pipeline that you want Elastic Transcoder to use for transcoding. The pipeline determines several settings, including the Amazon S3 bucket from which Elastic Transcoder gets the files to transcode and the bucket into which Elastic Transcoder puts the transcoded files.

Returns:
  The `Id` of the pipeline that you want Elastic Transcoder to use for transcoding. The pipeline determines several settings, including the Amazon S3 bucket from which Elastic Transcoder gets the files to transcode and the bucket into which Elastic Transcoder puts the transcoded files.

#### withPipelineId

    public Job withPipelineId(String pipelineId)

The `Id` of the pipeline that you want Elastic Transcoder to use for transcoding. The pipeline determines several settings, including the Amazon S3 bucket from which Elastic Transcoder gets the files to transcode and the bucket into which Elastic Transcoder puts the transcoded files.

Parameters:
  `pipelineId` - The `Id` of the pipeline that you want Elastic Transcoder to use for transcoding. The pipeline determines several settings, including the Amazon S3 bucket from which Elastic Transcoder gets the files to transcode and the bucket into which Elastic Transcoder puts the transcoded files.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInput

    public void setInput(JobInput input)

A section of the request or response body that provides information about the file that is being transcoded.

Parameters:
  `input` - A section of the request or response body that provides information about the file that is being transcoded.

#### getInput

    public JobInput getInput()

A section of the request or response body that provides information about the file that is being transcoded.

Returns:
  A section of the request or response body that provides information about the file that is being transcoded.

#### withInput

    public Job withInput(JobInput input)

A section of the request or response body that provides information about the file that is being transcoded.

Parameters:
  `input` - A section of the request or response body that provides information about the file that is being transcoded.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getInputs

    public List<JobInput> getInputs()

Information about the files that you're transcoding. If you specified multiple files for this job, Elastic Transcoder stitches the files together to make one output.

Returns:
  Information about the files that you're transcoding. If you specified multiple files for this job, Elastic Transcoder stitches the files together to make one output.

#### setInputs

    public void setInputs(Collection<JobInput> inputs)

Information about the files that you're transcoding. If you specified multiple files for this job, Elastic Transcoder stitches the files together to make one output.

Parameters:
  `inputs` - Information about the files that you're transcoding. If you specified multiple files for this job, Elastic Transcoder stitches the files together to make one output.

#### withInputs

    public Job withInputs(JobInput... inputs)

Information about the files that you're transcoding. If you specified multiple files for this job, Elastic Transcoder stitches the files together to make one output.

NOTE: This method appends the values to the existing list (if any). Use `setInputs(java.util.Collection)` or `withInputs(java.util.Collection)` if you want to override the existing values.

Parameters:
  `inputs` - Information about the files that you're transcoding. If you specified multiple files for this job, Elastic Transcoder stitches the files together to make one output.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withInputs

    public Job withInputs(Collection<JobInput> inputs)

Information about the files that you're transcoding. If you specified multiple files for this job, Elastic Transcoder stitches the files together to make one output.

Parameters:
  `inputs` - Information about the files that you're transcoding. If you specified multiple files for this job, Elastic Transcoder stitches the files together to make one output.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setOutput

    public void setOutput(JobOutput output)

If you specified one output for a job, information about that output. If you specified multiple outputs for a job, the Output object lists information about the first output. This duplicates the information that is listed for the first output in the Outputs object.

<important>

Outputs recommended instead.

</important>

A section of the request or response body that provides information about the transcoded (target) file.

Parameters:
  `output` - If you specified one output for a job, information about that output. If you specified multiple outputs for a job, the Output object lists information about the first output. This duplicates the information that is listed for the first output in the Outputs object. <important>

  Outputs recommended instead.

  </important>

  A section of the request or response body that provides information about the transcoded (target) file.

#### getOutput

    public JobOutput getOutput()

If you specified one output for a job, information about that output. If you specified multiple outputs for a job, the Output object lists information about the first output. This duplicates the information that is listed for the first output in the Outputs object.

<important>

Outputs recommended instead.

</important>

A section of the request or response body that provides information about the transcoded (target) file.

Returns:
  If you specified one output for a job, information about that output. If you specified multiple outputs for a job, the Output object lists information about the first output. This duplicates the information that is listed for the first output in the Outputs object. <important>

  Outputs recommended instead.

  </important>

  A section of the request or response body that provides information about the transcoded (target) file.

#### withOutput

    public Job withOutput(JobOutput output)

If you specified one output for a job, information about that output. If you specified multiple outputs for a job, the Output object lists information about the first output. This duplicates the information that is listed for the first output in the Outputs object.

<important>

Outputs recommended instead.

</important>

A section of the request or response body that provides information about the transcoded (target) file.

Parameters:
  `output` - If you specified one output for a job, information about that output. If you specified multiple outputs for a job, the Output object lists information about the first output. This duplicates the information that is listed for the first output in the Outputs object. <important>

  Outputs recommended instead.

  </important>

  A section of the request or response body that provides information about the transcoded (target) file.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getOutputs

    public List<JobOutput> getOutputs()

Information about the output files. We recommend that you use the `Outputs` syntax for all jobs, even when you want Elastic Transcoder to transcode a file into only one format. Do not use both the `Outputs` and `Output` syntaxes in the same request. You can create a maximum of 30 outputs per job.

If you specify more than one output for a job, Elastic Transcoder creates the files for each output in the order in which you specify them in the job.

Returns:
  Information about the output files. We recommend that you use the `Outputs` syntax for all jobs, even when you want Elastic Transcoder to transcode a file into only one format. Do not use both the `Outputs` and `Output` syntaxes in the same request. You can create a maximum of 30 outputs per job.

  If you specify more than one output for a job, Elastic Transcoder creates the files for each output in the order in which you specify them in the job.

#### setOutputs

    public void setOutputs(Collection<JobOutput> outputs)

Information about the output files. We recommend that you use the `Outputs` syntax for all jobs, even when you want Elastic Transcoder to transcode a file into only one format. Do not use both the `Outputs` and `Output` syntaxes in the same request. You can create a maximum of 30 outputs per job.

If you specify more than one output for a job, Elastic Transcoder creates the files for each output in the order in which you specify them in the job.

Parameters:
  `outputs` - Information about the output files. We recommend that you use the `Outputs` syntax for all jobs, even when you want Elastic Transcoder to transcode a file into only one format. Do not use both the `Outputs` and `Output` syntaxes in the same request. You can create a maximum of 30 outputs per job.

  If you specify more than one output for a job, Elastic Transcoder creates the files for each output in the order in which you specify them in the job.

#### withOutputs

    public Job withOutputs(JobOutput... outputs)

Information about the output files. We recommend that you use the `Outputs` syntax for all jobs, even when you want Elastic Transcoder to transcode a file into only one format. Do not use both the `Outputs` and `Output` syntaxes in the same request. You can create a maximum of 30 outputs per job.

If you specify more than one output for a job, Elastic Transcoder creates the files for each output in the order in which you specify them in the job.

NOTE: This method appends the values to the existing list (if any). Use `setOutputs(java.util.Collection)` or `withOutputs(java.util.Collection)` if you want to override the existing values.

Parameters:
  `outputs` - Information about the output files. We recommend that you use the `Outputs` syntax for all jobs, even when you want Elastic Transcoder to transcode a file into only one format. Do not use both the `Outputs` and `Output` syntaxes in the same request. You can create a maximum of 30 outputs per job.

  If you specify more than one output for a job, Elastic Transcoder creates the files for each output in the order in which you specify them in the job.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withOutputs

    public Job withOutputs(Collection<JobOutput> outputs)

Information about the output files. We recommend that you use the `Outputs` syntax for all jobs, even when you want Elastic Transcoder to transcode a file into only one format. Do not use both the `Outputs` and `Output` syntaxes in the same request. You can create a maximum of 30 outputs per job.

If you specify more than one output for a job, Elastic Transcoder creates the files for each output in the order in which you specify them in the job.

Parameters:
  `outputs` - Information about the output files. We recommend that you use the `Outputs` syntax for all jobs, even when you want Elastic Transcoder to transcode a file into only one format. Do not use both the `Outputs` and `Output` syntaxes in the same request. You can create a maximum of 30 outputs per job.

  If you specify more than one output for a job, Elastic Transcoder creates the files for each output in the order in which you specify them in the job.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setOutputKeyPrefix

    public void setOutputKeyPrefix(String outputKeyPrefix)

The value, if any, that you want Elastic Transcoder to prepend to the names of all files that this job creates, including output files, thumbnails, and playlists. We recommend that you add a / or some other delimiter to the end of the `OutputKeyPrefix`.

Parameters:
  `outputKeyPrefix` - The value, if any, that you want Elastic Transcoder to prepend to the names of all files that this job creates, including output files, thumbnails, and playlists. We recommend that you add a / or some other delimiter to the end of the `OutputKeyPrefix`.

#### getOutputKeyPrefix

    public String getOutputKeyPrefix()

The value, if any, that you want Elastic Transcoder to prepend to the names of all files that this job creates, including output files, thumbnails, and playlists. We recommend that you add a / or some other delimiter to the end of the `OutputKeyPrefix`.

Returns:
  The value, if any, that you want Elastic Transcoder to prepend to the names of all files that this job creates, including output files, thumbnails, and playlists. We recommend that you add a / or some other delimiter to the end of the `OutputKeyPrefix`.

#### withOutputKeyPrefix

    public Job withOutputKeyPrefix(String outputKeyPrefix)

The value, if any, that you want Elastic Transcoder to prepend to the names of all files that this job creates, including output files, thumbnails, and playlists. We recommend that you add a / or some other delimiter to the end of the `OutputKeyPrefix`.

Parameters:
  `outputKeyPrefix` - The value, if any, that you want Elastic Transcoder to prepend to the names of all files that this job creates, including output files, thumbnails, and playlists. We recommend that you add a / or some other delimiter to the end of the `OutputKeyPrefix`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getPlaylists

    public List<Playlist> getPlaylists()

<important>

Outputs in Fragmented MP4 or MPEG-TS format only.

</important>

If you specify a preset in `PresetId` for which the value of `Container` is fmp4 (Fragmented MP4) or ts (MPEG-TS), `Playlists` contains information about the master playlists that you want Elastic Transcoder to create.

The maximum number of master playlists in a job is 30.

Returns:

  Outputs in Fragmented MP4 or MPEG-TS format only.

  </important>

  If you specify a preset in `PresetId` for which the value of `Container` is fmp4 (Fragmented MP4) or ts (MPEG-TS), `Playlists` contains information about the master playlists that you want Elastic Transcoder to create.

  The maximum number of master playlists in a job is 30.

#### setPlaylists

    public void setPlaylists(Collection<Playlist> playlists)

<important>

Outputs in Fragmented MP4 or MPEG-TS format only.

</important>

If you specify a preset in `PresetId` for which the value of `Container` is fmp4 (Fragmented MP4) or ts (MPEG-TS), `Playlists` contains information about the master playlists that you want Elastic Transcoder to create.

The maximum number of master playlists in a job is 30.

Parameters:
  `playlists` -

  Outputs in Fragmented MP4 or MPEG-TS format only.

  </important>

  If you specify a preset in `PresetId` for which the value of `Container` is fmp4 (Fragmented MP4) or ts (MPEG-TS), `Playlists` contains information about the master playlists that you want Elastic Transcoder to create.

  The maximum number of master playlists in a job is 30.

#### withPlaylists

    public Job withPlaylists(Playlist... playlists)

<important>

Outputs in Fragmented MP4 or MPEG-TS format only.

</important>

If you specify a preset in `PresetId` for which the value of `Container` is fmp4 (Fragmented MP4) or ts (MPEG-TS), `Playlists` contains information about the master playlists that you want Elastic Transcoder to create.

The maximum number of master playlists in a job is 30.

NOTE: This method appends the values to the existing list (if any). Use `setPlaylists(java.util.Collection)` or `withPlaylists(java.util.Collection)` if you want to override the existing values.

Parameters:
  `playlists` -

  Outputs in Fragmented MP4 or MPEG-TS format only.

  </important>

  If you specify a preset in `PresetId` for which the value of `Container` is fmp4 (Fragmented MP4) or ts (MPEG-TS), `Playlists` contains information about the master playlists that you want Elastic Transcoder to create.

  The maximum number of master playlists in a job is 30.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withPlaylists

    public Job withPlaylists(Collection<Playlist> playlists)

<important>

Outputs in Fragmented MP4 or MPEG-TS format only.

</important>

If you specify a preset in `PresetId` for which the value of `Container` is fmp4 (Fragmented MP4) or ts (MPEG-TS), `Playlists` contains information about the master playlists that you want Elastic Transcoder to create.

The maximum number of master playlists in a job is 30.

Parameters:
  `playlists` -

  Outputs in Fragmented MP4 or MPEG-TS format only.

  </important>

  If you specify a preset in `PresetId` for which the value of `Container` is fmp4 (Fragmented MP4) or ts (MPEG-TS), `Playlists` contains information about the master playlists that you want Elastic Transcoder to create.

  The maximum number of master playlists in a job is 30.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatus

    public void setStatus(String status)

The status of the job: `Submitted`, `Progressing`, `Complete`, `Canceled`, or `Error`.

Parameters:
  `status` - The status of the job: `Submitted`, `Progressing`, `Complete`, `Canceled`, or `Error`.

#### getStatus

    public String getStatus()

The status of the job: `Submitted`, `Progressing`, `Complete`, `Canceled`, or `Error`.

Returns:
  The status of the job: `Submitted`, `Progressing`, `Complete`, `Canceled`, or `Error`.

#### withStatus

    public Job withStatus(String status)

The status of the job: `Submitted`, `Progressing`, `Complete`, `Canceled`, or `Error`.

Parameters:
  `status` - The status of the job: `Submitted`, `Progressing`, `Complete`, `Canceled`, or `Error`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getUserMetadata

    public Map<String,String> getUserMetadata()

User-defined metadata that you want to associate with an Elastic Transcoder job. You specify metadata in `key/value` pairs, and you can add up to 10 `key/value` pairs per job. Elastic Transcoder does not guarantee that `key/value` pairs are returned in the same order in which you specify them.

Metadata `keys` and `values` must use characters from the following list:

- `0-9`

- `A-Z` and `a-z`

- `Space`

- The following symbols: `_.:/=+-%@`

Returns:
  User-defined metadata that you want to associate with an Elastic Transcoder job. You specify metadata in `key/value` pairs, and you can add up to 10 `key/value` pairs per job. Elastic Transcoder does not guarantee that `key/value` pairs are returned in the same order in which you specify them.

  Metadata `keys` and `values` must use characters from the following list:

  - `0-9`

  - `A-Z` and `a-z`

  - `Space`

  - The following symbols: `_.:/=+-%@`

#### setUserMetadata

    public void setUserMetadata(Map<String,String> userMetadata)

User-defined metadata that you want to associate with an Elastic Transcoder job. You specify metadata in `key/value` pairs, and you can add up to 10 `key/value` pairs per job. Elastic Transcoder does not guarantee that `key/value` pairs are returned in the same order in which you specify them.

Metadata `keys` and `values` must use characters from the following list:

- `0-9`

- `A-Z` and `a-z`

- `Space`

- The following symbols: `_.:/=+-%@`

Parameters:
  `userMetadata` - User-defined metadata that you want to associate with an Elastic Transcoder job. You specify metadata in `key/value` pairs, and you can add up to 10 `key/value` pairs per job. Elastic Transcoder does not guarantee that `key/value` pairs are returned in the same order in which you specify them.

  Metadata `keys` and `values` must use characters from the following list:

  - `0-9`

  - `A-Z` and `a-z`

  - `Space`

  - The following symbols: `_.:/=+-%@`

#### withUserMetadata

    public Job withUserMetadata(Map<String,String> userMetadata)

User-defined metadata that you want to associate with an Elastic Transcoder job. You specify metadata in `key/value` pairs, and you can add up to 10 `key/value` pairs per job. Elastic Transcoder does not guarantee that `key/value` pairs are returned in the same order in which you specify them.

Metadata `keys` and `values` must use characters from the following list:

- `0-9`

- `A-Z` and `a-z`

- `Space`

- The following symbols: `_.:/=+-%@`

Parameters:
  `userMetadata` - User-defined metadata that you want to associate with an Elastic Transcoder job. You specify metadata in `key/value` pairs, and you can add up to 10 `key/value` pairs per job. Elastic Transcoder does not guarantee that `key/value` pairs are returned in the same order in which you specify them.

  Metadata `keys` and `values` must use characters from the following list:

  - `0-9`

  - `A-Z` and `a-z`

  - `Space`

  - The following symbols: `_.:/=+-%@`

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### addUserMetadataEntry

    public Job addUserMetadataEntry(String key,
                                    String value)

#### clearUserMetadataEntries

    public Job clearUserMetadataEntries()

Removes all the entries added into UserMetadata.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTiming

    public void setTiming(Timing timing)

Details about the timing of a job.

Parameters:
  `timing` - Details about the timing of a job.

#### getTiming

    public Timing getTiming()

Details about the timing of a job.

Returns:
  Details about the timing of a job.

#### withTiming

    public Job withTiming(Timing timing)

Details about the timing of a job.

Parameters:
  `timing` - Details about the timing of a job.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Job clone()

Overrides:
  `clone` in class `Object`